# Interface ScopedValue.CallableOp<T, X extends Throwable>

Type Parameters:
  `T` - result type of the operation
  `X` - type of the exception thrown by the operation

Enclosing class:
  `ScopedValuePREVIEW<T>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ScopedValue.CallableOp<T, X extends Throwable>
`CallableOp` is a preview API of the Java platform.
Programs can only use `CallableOp` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
An operation that returns a result and may throw an exception.

Since:
  23

## Method Summary

Modifier and Type
Method
Description
`T`
`call()`
Executes this operation.

## Method Details

### call

T call() throws X
Executes this operation.

Returns:
  the result, can be null
Throws:
  `X` - if the operation completes with an exception